package com.zanxiang.sdk.domain.params;

import com.fasterxml.jackson.annotation.JsonAlias;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author : lingfeng
 * @time : 2022-06-07
 * @description : 用户登录参数
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class LoginPasswordParam extends CommonParam {

    /**
     * 用户名
     */
    @JsonAlias("mem-username")
    private String username;

    /**
     * 密码
     */
    @JsonAlias("mem-password")
    private String password;
}
